{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    neovim-flake.url = "github:neovim/neovim?dir=contrib";
    neovim-flake.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { self, nixpkgs, neovim-flake, ... }: {
    nixosConfigurations = let
      neovimOverlay = { pkgs, ... }: { nixpkgs.overlays = [ neovim-flake.overlay ]; };
    in {
      petalius = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [ ./petalius.nix neovimOverlay ];
      };
    };
  };
}
